> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Competitor Prices



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/competitor_prices
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/competitor_prices:
    get:
      tags:
        - competitor_prices
      summary: List Competitor Prices
      operationId: list_competitor_prices_v1_competitor_prices_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: updated_since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated Since
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPage_CompetitorPriceResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CursorPage_CompetitorPriceResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CompetitorPriceResponse'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      title: CursorPage[CompetitorPriceResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CompetitorPriceResponse:
      properties:
        item_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Id
        promo_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Promo Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        competitor_sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Competitor Sku
        barcode:
          anyOf:
            - type: string
            - type: 'null'
          title: Barcode
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        stock_on_hand:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Stock On Hand
        id:
          type: integer
          title: Id
        competitor_name:
          type: string
          title: Competitor Name
        observed_at:
          type: string
          format: date-time
          title: Observed At
        regular_price:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Regular Price
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      additionalProperties: false
      type: object
      required:
        - id
        - competitor_name
        - observed_at
        - regular_price
      title: CompetitorPriceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````